Safari 12.0 on Mac OS blocks F-Secure SAFE browsing protection

Hi,

 

Tonight I installed the latest Safari update on my Mac and right after I started Safari I got the message that Browsing Protection is considered a non-secure addon.

After that it was not possible to manually install the addon.

 

Gretings,

Marko

Ukko_KariAragon

Best Answer

  • LakshLaksh Posts: 4,431 Community Manager
    Accepted Answer

    Hello Everyone,

     

    As updated in the above article, SAFE for Mac 17.4 has been released, and we have started the automatic updates. If don't want to wait for the automatic update but want to install the latest version immediately, log in to your My F-Secure and install it manually. 

    Ukko

Comments

This discussion has been closed.